الانتقال إلى المحتوى الرئيسي
POST
/
veo
/
upsample
Veo Upsample
curl --request POST \
  --url https://api.acedata.cloud/veo/upsample \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "1080p",
  "video_id": "video-uuid-xxx"
}
'
import requests

url = "https://api.acedata.cloud/veo/upsample"

payload = {
"action": "1080p",
"video_id": "video-uuid-xxx"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: '1080p', video_id: 'video-uuid-xxx'})
};

fetch('https://api.acedata.cloud/veo/upsample', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "data": {},
  "success": true
}
{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}

التفويضات

Authorization
string
header
مطلوب

الترويسات

accept
enum<string>

Veo Upsample Param Accept

الخيارات المتاحة:
application/json

الجسم

application/json
action
enum<string>
مطلوب

Veo Upsample Action

الخيارات المتاحة:
1080p,
4k,
gif
مثال:

"1080p"

video_id
string
مطلوب

Veo Upsample Video Id

مثال:

"video-uuid-xxx"

callback_url
string

Veo Upsample Callback Url

async
boolean

Veo Upsample Async

الاستجابة

Veo Upsample Response 200

data
object

Veo Upsample Response 200 Data

success
boolean

Veo Upsample Response 200 Success